package com.yem.wm.im.priceLibrary.op;

import com.yem.wm.im.priceLibrary.validator.PriceLibraryAuditValidator;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.args.EndOperationTransactionArgs;
import kd.sdk.plugin.Plugin;

/**
 * @Description 价格库审核服务插件
 */
public class PriceLibraryAuditOp extends AbstractOperationServicePlugIn implements Plugin {
    @Override
    public void endOperationTransaction(EndOperationTransactionArgs e) {
        super.endOperationTransaction(e);
    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new PriceLibraryAuditValidator());
    }
}